Bug 1878290 - color-themes package calls for obsolete package cl; make emacs non-functional
Summary: color-themes package calls for obsolete package cl; make emacs non-functional
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: emacs-color-theme
Version: 32
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Arun S A G
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-09-11 19:35 UTC by Garrett Mitchener
Modified: 2021-05-25 16:44 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: ---
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-05-25 16:44:00 UTC
Type: Bug


Attachments (Terms of Use)

Description Garrett Mitchener 2020-09-11 19:35:59 UTC
Description of problem:

Start emacs. It will halt before starting up completely with an error message about how cl is deprecated.

Version-Release number of selected component (if applicable):

emacs-27.1-2.fc32.x86_64
emacs-color-theme-6.6.0-18.fc32.noarch

How reproducible:

every time

Steps to Reproduce:
1. install emacs and emacs-color-theme
2. start emacs
3.

Actual results:

It will halt before starting up completely with an error message about how cl is deprecated. emacs is largely non-functional after this.

Expected results:

Normal emacs start up.

Additional info:

Apparently this color-theme package requires the cl emacs package, which has been declared obsolete as of emacs 27.  The loading of the color-theme package causes emacs's startup process to halt with a cryptic error message.  From then on emacs is largely useless.  And it's an absolute miracle that I figured out that this color-theme package is the culprit.

Comment 1 Fedora Program Management 2021-04-29 16:37:34 UTC
This message is a reminder that Fedora 32 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 32 on 2021-05-25.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '32'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 32 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 2 Ben Cotton 2021-05-25 16:44:00 UTC
Fedora 32 changed to end-of-life (EOL) status on 2021-05-25. Fedora 32 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.